# spec file for package xjadeo
# taken from Fedora/Planet CCRMA version by Fernando Lopez-Lezcano
# modified for openSUSE/OBS by Edgar Aichinger

Summary: Very simple video player that gets sync from Jack
Name: xjadeo
Version: 0.8.0
Release: 2.3
License: GPL-2.0
Group: Applications/Multimedia
URL: http://sourceforge.net/projects/xjadeo
Source0: xjadeo-%{version}.tar.bz2
Source1: xjadeo.desktop
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires: jack-devel
BuildRequires: alsa-devel
BuildRequires: lash-devel
BuildRequires: liblo-devel
BuildRequires: ffmpeg-devel
BuildRequires: libraw1394-devel
BuildRequires: freetype-devel
BuildRequires: imlib2-devel
BuildRequires: qt-devel
BuildRequires: XFree86-devel
BuildRequires: update-desktop-files

%description
Xjadeo is a very simple video player that gets sync from jack. When a
sequencer like Muse or Rosegarden acts as a timebase master, xjadeo
will display the video frame in sync with the sequencer
transport. This means that you can visually synchronize an audio event
with a certain frame in the movie, which comes quite handy when you
want to create a soundtrack for a video clip.

%prep
%setup -q -n xjadeo-%{version}

%build
export QTDIR=%{_libdir}/qt4
export CFLAGS="-Wall $RPM_OPT_FLAGS"
%configure
make %{?_smp_mflags}

%install
export QTDIR=%{_libdir}/qt4
%makeinstall

%suse_update_desktop_file -i %{name} AudioVideo Video Player

%clean
%{__rm} -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files
%defattr(-,root,root,-)
%doc README NEWS COPYING AUTHORS ChangeLog
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/applications/*.desktop
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/ArdourMono.ttf

%changelog
* Sun Aug 24 2014 edogawa@aon.at
- initial release, version 0.8.0
- based on Fedora/Planet CCRMA specfile
